package model

import "time"

// GetTransactionsRequest ...
type GetTransactionsRequest struct {
	Page     int64     `json:"page"`
	Limit    int64     `json:"limit"`
	Keyword  string    `json:"keyword"`
	Status   string    `json:"status"`
	Source   string    `json:"source"`
	Campaign string    `json:"campaign"`
	Seller   string    `json:"seller"`
	FromAt   time.Time `json:"fromAt"`
	ToAt     time.Time `json:"toAt"`
}
