package model

type GetListPermissionRequest struct {
	Page  int    `json:"page"`
	Limit int    `json:"limit"`
	Group string `json:"group"`
}

type DetailPermissionRequest struct {
	ID string `json:"_id"`
}

type CreatePermissionRequest struct {
	Name  string `json:"name"`
	Code  string `json:"code"`
	Group string `json:"group"`
}

type UpdatePermissionRequest struct {
	ID    string `json:"_id"`
	Name  string `json:"name"`
	Code  string `json:"code"`
	Group string `json:"group"`
}
