package model

type GetListPermissionResponse struct {
	Permissions []PermissionBrief `json:"permissions"`
	Total       int64             `json:"total"`
}

type PermissionBrief struct {
	ID        string `json:"_id"`
	Name      string `json:"name"`
	Code      string `json:"code"`
	Group     string `json:"group"`
	CreatedAt string `json:"createdAt"`
	UpdatedAt string `json:"updatedAt"`
}

type CreatePermissionResponse struct {
	ID string `json:"_id"`
}

type PermissionShort struct {
	ID    string `json:"_id"`
	Name  string `json:"name"`
	Code  string `json:"code"`
	Group string `json:"group"`
}
