package subject

import "fmt"

// getSegmentValue ...
func getProductValue(val string) string {
	return fmt.Sprintf("%s.%s", prefixes.Product, val)
}

var Product = struct {
	ApplyRequest        string
	ProcessApplyRequest string
}{
	ApplyRequest:        getProductValue("apply_request"),
	ProcessApplyRequest: getProductValue("process_apply_request"),
}
