package subject

import "fmt"

func getBankValue(val string) string {
	return fmt.Sprintf("%s.%s", prefixes.Bank, val)
}

var Bank = struct {
	GetBankInfo            string
	GetBankInfoDetail      string
	CheckBankAndBranchByID string
}{
	GetBankInfo:            getBankValue("get_bank_info"),
	GetBankInfoDetail:      getBankValue("get_bank_info_detail"),
	CheckBankAndBranchByID: getBankValue("check_bank_and_branch_by_id"),
}
