package subject

import "fmt"

func getPermissionValue(val string) string {
	return fmt.Sprintf("%s.%s", prefixes.SupplierPermission, val)
}

var SupplierPermission = struct {
	GetList string
	Create  string
	Update  string
}{
	GetList: getPermissionValue("get_list"),
	Create:  getPermissionValue("create"),
	Update:  getPermissionValue("update"),
}
